<template>
  <div class="main-container">
    <h1>Chart Components</h1>
    <ChartComponent id="chartdiv1" :data="firstData" chart-height="682" />
    <ChartComponent id="chartdiv2" :data="secondData" title="Total Hashrate #2" chart-height="400" />
    <ChartComponent id="chartdiv3" :data="thirdData" title="Total Hashrate #3" chart-height="300" />
  </div>
</template>

<script setup lang="ts">
import ChartComponent from '@/components/ui/ChartComponent.vue';
import firstData from '@/utils/firstExample';
import secondData from '@/utils/secondExample';
import thirdData from '@/utils/thirdExample';
</script>

<style lang="scss" scoped>
.main-container {
  position: relative;
  & > div {
    margin-top: 96px;
    &:last-child {
      width: 50%;
    }
  }
  padding-bottom: 128px;
}
</style>
